import { EzGridColumn } from "@sankhyalabs/ezui/dist/types/components/ez-grid/controller/EzGridController";
import { DataState } from "../../components/snk-data-unit/snk-data-unit";
import { ICustomFormatter } from "@sankhyalabs/ezui/dist/types/components/ez-grid/interfaces";
export default class RmPrecisionCustomValueFormatter implements ICustomFormatter {
  private _dataState;
  private _grid;
  setGrid(grid: HTMLEzGridElement): void;
  setDataState(dataState: DataState): void;
  format(currentValue: string, column: EzGridColumn, recordId: string): string;
  refreshSelectedRows(): void;
}
